/******
* Kentooz Framework Add JS function for metabox
******/

// Add Popup description
jQuery(document).ready(function () {  
jQuery(".img-description").click(function(){
	var descheading = jQuery(this).prev(".ktztitle span").html();
	var desctext = jQuery(this).next(".ktzdesc").html();
	jQuery('body').append("<div id='custom-lbox'><div class='shadow'></div><div class='box-desc'><div class='box-desc-top'></div><div class='box-desc-content'><h3>"+descheading+"</h3>"+desctext+"<div class='lightboxclose'></div> </div> <div class='box-desc-bottom'></div>	</div></div>");
	jQuery(".shadow").animate({ opacity: "show" }, "fast").fadeTo("fast", 0.75);
	jQuery('.lightboxclose').click(function(){
	jQuery(".shadow").animate({ opacity: "hide" }, "fast", function(){jQuery("#custom-lbox").remove();});	
	});
});
});

// Add Select UI
jQuery(document).ready(function () {
      jQuery('.select_wrapper').each(function () {
        jQuery(this).prepend('<span>' + jQuery(this).find('.select option:selected').text() + '</span>');
      });
      jQuery('.select').live('change', function () {
        jQuery(this).prev('span').replaceWith('<span>' + jQuery(this).find('option:selected').text() + '</span>');
      });
      jQuery('.select').bind(jQuery.browser.msie ? 'click' : 'change', function(event) {
        jQuery(this).prev('span').replaceWith('<span>' + jQuery(this).find('option:selected').text() + '</span>');
      }); 
  });
  
	/*ColorPicker*/
jQuery(document).ready(function () {
	jQuery('.ktz_section_color').wpColorPicker();
});
  
// Add Tabs
jQuery(document).ready(function(){
		jQuery('.ktz_tabmb,.ktz_tabmb > div').tabs({selected: 0 });
})

